Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Path Parameters

snapshot_id
string
required

The ID that was returned when the collection was triggered

Example:

"s_m4x7enmven8djfqak"

Query Parameters

notify
string

URL where a notification will be sent once the delivery is finished

Example:

"https://notify-me.com/"

Body

application/json
deliver
Microsoft Azure · object

Deliver configuration

compress
boolean
default:false

Deliver file compressed in gzip format

batch_size
integer

Number of records per file. Use this to split large snapshots into multiple smaller files. Files are split by record count. Recommended for snapshots with more than 1 million records. Note: Maximum batch size is 5GB.

Example:

100000

Response

200 - application/json

OK

id
string

ID of your delivery request that can be used in Monitor Delivery API